%define repo kernel

Name:           loongnix-%{repo}-release
Version:        21
Release:        1%{dist}
Summary:        Loongnix (%{repo}) Repository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://www.loongnix.org
Source1:        loongnix-%{repo}.repo
BuildArch:      noarch

Requires:       system-release >= %{version}

%description
RPM Loongnix repository contains other distributable software for
Loongnix. 

This package contains the Yum package manager
configuration files for Loongnix's "new kernel" repository, which holds
software that is for QA test.

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install

# Create dirs
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# Yum .repo files
%{__install} -p -m644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%files
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Mon May 30 2016 Ray Wang <wanglei@loongson.cn> - 21-1
- Init Package for loongnix 1.0 F-21
